<nav class="navbar navbar-expand-md navbar-dark bg-primary mb-5">
  <a class="navbar-brand" href="#">MeanAuth App</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01"
    aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarColor01">
    <!-- ul class="nav navbar-nav navbar-right" -->
    <ul class="nav navbar-nav  ">
      <li class="nav-item ">
        <a [routerLinkActive]="['active']" [routerLinkActiveOptions]="{ exact:true}" class="nav-link" [routerLink]="['/']">Home
          <!-- <span class="sr-only">(current)</span> -->
        </a>
      </li>
    </ul>
    <ul class="nav navbar-nav  navbar-right ml-auto">
      <!-- TOKEN EXPIRED: TRUE -->
      <li *ngIf="!auth.loggedIn()" class="nav-item ">
        <a [routerLinkActive]="['active']" class="nav-link" [routerLink]="['/login']">Login
          <span class="sr-only">(current)</span>
        </a>
      </li>

      <li *ngIf="!auth.loggedIn()" class="nav-item">
        <a [routerLinkActive]="['active']" class="nav-link" [routerLink]="['/register']">Register</a>
      </li>

      <!-- TOKEN EXPIRED: FALSE -->
      <li *ngIf="auth.loggedIn()" class="nav-item ">
        <a class="nav-link" href="#" (click)="onLogoutClick()">Logout

        </a>
      </li>
      <li *ngIf="auth.loggedIn()" class="nav-item">
        <a [routerLinkActive]="['active']" class="nav-link" [routerLink]="['/profile']">Profile</a>
      </li>
      <li *ngIf="auth.loggedIn()" class="nav-item">
        <a [routerLinkActive]="['active']" class="nav-link" [routerLink]="['/dashboard']">Dashboard</a>
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-0">
      <input class="form-control mr-sm-2" type="text" placeholder="Search">
      <button class="btn btn-secondary my-2 my-sm-0" type="submit">Search</button>
    </form>
  </div>
</nav>
